//
// ********************************************************************
// * License and Disclaimer                                           *
// *                                                                  *
// * The  Geant4 software  is  copyright of the Copyright Holders  of *
// * the Geant4 Collaboration.  It is provided  under  the terms  and *
// * conditions of the Geant4 Software License,  included in the file *
// * LICENSE and available at  http://cern.ch/geant4/license .  These *
// * include a list of copyright holders.                             *
// *                                                                  *
// * Neither the authors of this software system, nor their employing *
// * institutes,nor the agencies providing financial support for this *
// * work  make  any representation or  warranty, express or implied, *
// * regarding  this  software system or assume any liability for its *
// * use.  Please see the license in the file  LICENSE  and URL above *
// * for the full disclaimer and the limitation of liability.         *
// *                                                                  *
// * This  code  implementation is the result of  the  scientific and *
// * technical work of the GEANT4 collaboration.                      *
// * By using,  copying,  modifying or  distributing the software (or *
// * any work based  on the software)  you  agree  to acknowledge its *
// * use  in  resulting  scientific  publications,  and indicate your *
// * acceptance of all terms of the Geant4 Software license.          *
// ********************************************************************
//
/// \file biasing/B02/include/B02PVolumeStore.hh
/// \brief Definition of the B02PVolumeStore class
//
//
// GEANT4 tag
//
// ----------------------------------------------------------------------
// Class B02PVolumeStore
//
// Class description:
//
// ...

// Author: Michael Dressel (Michael.Dressel@cern.ch)
// ----------------------------------------------------------------------

#ifndef B02PVolumeStore_hh
#define B02PVolumeStore_hh B02PVolumeStore_hh

#include "G4GeometryCell.hh"
#include "G4GeometryCellComp.hh"
#include "globals.hh"

#include <set>

typedef std::set<G4GeometryCell, G4GeometryCellComp> B02SetGeometryCell;

class B02PVolumeStore
{
  public:
    B02PVolumeStore();
    ~B02PVolumeStore();

    void AddPVolume(const G4GeometryCell& cell);
    const G4VPhysicalVolume* GetPVolume(const G4String& name) const;
    G4int Size();
    G4String GetPNames() const;

  private:
    B02SetGeometryCell fSetGeometryCell;
};

#endif
