//
// ********************************************************************
// * License and Disclaimer                                           *
// *                                                                  *
// * The  Geant4 software  is  copyright of the Copyright Holders  of *
// * the Geant4 Collaboration.  It is provided  under  the terms  and *
// * conditions of the Geant4 Software License,  included in the file *
// * LICENSE and available at  http://cern.ch/geant4/license .  These *
// * include a list of copyright holders.                             *
// *                                                                  *
// * Neither the authors of this software system, nor their employing *
// * institutes,nor the agencies providing financial support for this *
// * work  make  any representation or  warranty, express or implied, *
// * regarding  this  software system or assume any liability for its *
// * use.  Please see the license in the file  LICENSE  and URL above *
// * for the full disclaimer and the limitation of liability.         *
// *                                                                  *
// * This  code  implementation is the result of  the  scientific and *
// * technical work of the GEANT4 collaboration.                      *
// * By using,  copying,  modifying or  distributing the software (or *
// * any work based  on the software)  you  agree  to acknowledge its *
// * use  in  resulting  scientific  publications,  and indicate your *
// * acceptance of all terms of the Geant4 Software license.          *
// ********************************************************************
//
/// \file exoticphysics/dmparticle/include/G4LDMHi.hh
/// \brief Definition of the G4LDMHi class
//
//

#ifndef G4LDMHi_h
#define G4LDMHi_h 1

/////////////////////////////////////////////////
//
// ClassName:   G4LDMHi
//
// Authors:   15.03.17 V. Grichine based on G4Monopole
//
// Modified:
//
//
//
///////////////////////////////////////////

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

#include "CLHEP/Units/SystemOfUnits.h"

#include "G4ParticleDefinition.hh"
#include "globals.hh"

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

class G4LDMHi : public G4ParticleDefinition
{
  private:
    static G4LDMHi* theLDMHi;

    G4LDMHi(const G4String& aName, G4double mass, G4double width, G4double charge, G4int iSpin,
            G4int iParity, G4int iConjugation, G4int iIsospin, G4int iIsospin3, G4int gParity,
            const G4String& pType, G4int lepton, G4int baryon, G4int encoding, G4bool stable,
            G4double lifetime, G4DecayTable* decaytable);

    virtual ~G4LDMHi();

  public:
    static G4LDMHi* LDMHiDefinition(G4double mass);

    static G4LDMHi* LDMHi();
};

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

#endif
