//
// ********************************************************************
// * License and Disclaimer                                           *
// *                                                                  *
// * The  Geant4 software  is  copyright of the Copyright Holders  of *
// * the Geant4 Collaboration.  It is provided  under  the terms  and *
// * conditions of the Geant4 Software License,  included in the file *
// * LICENSE and available at  http://cern.ch/geant4/license .  These *
// * include a list of copyright holders.                             *
// *                                                                  *
// * Neither the authors of this software system, nor their employing *
// * institutes,nor the agencies providing financial support for this *
// * work  make  any representation or  warranty, express or implied, *
// * regarding  this  software system or assume any liability for its *
// * use.  Please see the license in the file  LICENSE  and URL above *
// * for the full disclaimer and the limitation of liability.         *
// *                                                                  *
// * This  code  implementation is the result of  the  scientific and *
// * technical work of the GEANT4 collaboration.                      *
// * By using,  copying,  modifying or  distributing the software (or *
// * any work based  on the software)  you  agree  to acknowledge its *
// * use  in  resulting  scientific  publications,  and indicate your *
// * acceptance of all terms of the Geant4 Software license.          *
// ********************************************************************
//
/// \file field/BlineTracer/include/G4BlineSteppingAction.hh
/// \brief Definition of the G4BlineSteppingAction class
//
//
//
//
// --------------------------------------------------------------------
//
// G4BlineSteppingAction
//
// Class description:
//
// Defines the stepping action used when tracing magnetic field lines.

// --------------------------------------------------------------------
// Author: Laurent Desorgher (desorgher@phim.unibe.ch)
//         Created - 2003-10-06
// --------------------------------------------------------------------
#ifndef G4BlineSteppingAction_h
#define G4BlineSteppingAction_h 1

#include "G4Types.hh"
#include "G4UserSteppingAction.hh"

class G4BlineTracer;

class G4BlineSteppingAction : public G4UserSteppingAction
{
  public:  // with description
    G4BlineSteppingAction(G4BlineTracer* aBlineTool);
    ~G4BlineSteppingAction() override = default;
    void UserSteppingAction(const G4Step*) override;

  private:
    G4BlineTracer* fBlineTool = nullptr;
};

#endif
