//
// ********************************************************************
// * License and Disclaimer                                           *
// *                                                                  *
// * The  Geant4 software  is  copyright of the Copyright Holders  of *
// * the Geant4 Collaboration.  It is provided  under  the terms  and *
// * conditions of the Geant4 Software License,  included in the file *
// * LICENSE and available at  http://cern.ch/geant4/license .  These *
// * include a list of copyright holders.                             *
// *                                                                  *
// * Neither the authors of this software system, nor their employing *
// * institutes,nor the agencies providing financial support for this *
// * work  make  any representation or  warranty, express or implied, *
// * regarding  this  software system or assume any liability for its *
// * use.  Please see the license in the file  LICENSE  and URL above *
// * for the full disclaimer and the limitation of liability.         *
// *                                                                  *
// * This  code  implementation is the result of  the  scientific and *
// * technical work of the GEANT4 collaboration.                      *
// * By using,  copying,  modifying or  distributing the software (or *
// * any work based  on the software)  you  agree  to acknowledge its *
// * use  in  resulting  scientific  publications,  and indicate your *
// * acceptance of all terms of the Geant4 Software license.          *
// ********************************************************************
//
//
/// \file field/field04/include/F04RunActionMessenger.hh
/// \brief Definition of the F04RunActionMessenger class
//

#ifndef F04RunActionMessenger_h
#define F04RunActionMessenger_h 1

#include "G4UImessenger.hh"
#include "globals.hh"

class F04RunAction;

class G4UIdirectory;
class G4UIcmdWithAnInteger;
class G4UIcmdWithAString;
class G4UIcmdWithABool;

class F04RunActionMessenger : public G4UImessenger
{
  public:
    F04RunActionMessenger(F04RunAction*);
    ~F04RunActionMessenger() override;

    void SetNewValue(G4UIcommand*, G4String) override;

  private:
    F04RunAction* fRunAction = nullptr;

    G4UIdirectory* fRndmDir = nullptr;
    G4UIcmdWithAnInteger* fRndmSaveCmd = nullptr;
    G4UIcmdWithAString* fRndmReadCmd = nullptr;
    G4UIcmdWithABool* fSetAutoSeedCmd = nullptr;
};

#endif
