//
// ********************************************************************
// * License and Disclaimer                                           *
// *                                                                  *
// * The  Geant4 software  is  copyright of the Copyright Holders  of *
// * the Geant4 Collaboration.  It is provided  under  the terms  and *
// * conditions of the Geant4 Software License,  included in the file *
// * LICENSE and available at  http://cern.ch/geant4/license .  These *
// * include a list of copyright holders.                             *
// *                                                                  *
// * Neither the authors of this software system, nor their employing *
// * institutes,nor the agencies providing financial support for this *
// * work  make  any representation or  warranty, express or implied, *
// * regarding  this  software system or assume any liability for its *
// * use.  Please see the license in the file  LICENSE  and URL above *
// * for the full disclaimer and the limitation of liability.         *
// *                                                                  *
// * This  code  implementation is the result of  the  scientific and *
// * technical work of the GEANT4 collaboration.                      *
// * By using,  copying,  modifying or  distributing the software (or *
// * any work based  on the software)  you  agree  to acknowledge its *
// * use  in  resulting  scientific  publications,  and indicate your *
// * acceptance of all terms of the Geant4 Software license.          *
// ********************************************************************
//
//
/// \file optical/LXe/include/LXeEventMessenger.hh
/// \brief Definition of the LXeEventMessenger class
//
//
#ifndef LXeEventMessenger_h
#define LXeEventMessenger_h 1

#include "G4UImessenger.hh"
#include "globals.hh"

class LXeEventAction;
class G4UIcmdWithABool;
class G4UIcmdWithAnInteger;

class LXeEventMessenger : public G4UImessenger
{
  public:
    LXeEventMessenger(LXeEventAction*);
    ~LXeEventMessenger() override;

    void SetNewValue(G4UIcommand*, G4String) override;

  private:
    LXeEventAction* fLXeEvent = nullptr;
    G4UIcmdWithAnInteger* fVerboseCmd = nullptr;
    G4UIcmdWithAnInteger* fPmtThresholdCmd = nullptr;
    G4UIcmdWithABool* fForceDrawPhotonsCmd = nullptr;
    G4UIcmdWithABool* fForceDrawNoPhotonsCmd = nullptr;
};

#endif
