//
// ********************************************************************
// * License and Disclaimer                                           *
// *                                                                  *
// * The  Geant4 software  is  copyright of the Copyright Holders  of *
// * the Geant4 Collaboration.  It is provided  under  the terms  and *
// * conditions of the Geant4 Software License,  included in the file *
// * LICENSE and available at  http://cern.ch/geant4/license .  These *
// * include a list of copyright holders.                             *
// *                                                                  *
// * Neither the authors of this software system, nor their employing *
// * institutes,nor the agencies providing financial support for this *
// * work  make  any representation or  warranty, express or implied, *
// * regarding  this  software system or assume any liability for its *
// * use.  Please see the license in the file  LICENSE  and URL above *
// * for the full disclaimer and the limitation of liability.         *
// *                                                                  *
// * This  code  implementation is the result of  the  scientific and *
// * technical work of the GEANT4 collaboration.                      *
// * By using,  copying,  modifying or  distributing the software (or *
// * any work based  on the software)  you  agree  to acknowledge its *
// * use  in  resulting  scientific  publications,  and indicate your *
// * acceptance of all terms of the Geant4 Software license.          *
// ********************************************************************
//
/// \file persistency/P01/include/RootIO.hh
/// \brief Definition of the RootIO class
//
#ifndef INCLUDE_ROOTIO_HH
#define INCLUDE_ROOTIO_HH 1

// Include files
#include "ExP01TrackerHit.hh"
#include "TFile.h"
#include "TROOT.h"
#include "TSystem.h"

/** @class RootIO
 *
 *
 *  @author Witold POKORSKI
 *  @date   2005-10-27
 */

/// Root IO implementation for the persistency example

class RootIO
{
  public:
    virtual ~RootIO();

    static RootIO* GetInstance();
    void Write(std::vector<ExP01TrackerHit*>*);
    void Close();

  protected:
    RootIO();

  private:
    TFile* fFile;
    int fNevents;
};
#endif  // INCLUDE_ROOTIO_HH
