# - G3toG4 module build definition

# Define the Geant4 Module.
geant4_add_module(G3toG4
  PUBLIC_HEADERS
    G3DetTable.hh
    G3DetTableEntry.hh
    G3Division.hh
    G3EleTable.hh
    G3G4Interface.hh
    G3MatTable.hh
    G3MatTableEntry.hh
    G3MedTable.hh
    G3MedTableEntry.hh
    G3PartTable.hh
    G3Pos.hh
    G3RotTable.hh
    G3RotTableEntry.hh
    G3SensVolVector.hh
    G3VolTable.hh
    G3VolTableEntry.hh
    G3toG4.hh
    G3toG4BuildTree.hh
    G3toG4Defs.hh
    G3toG4MANY.hh
    G3toG4MakeSolid.hh
    G3toG4RotationMatrix.hh
  SOURCES
    G3DetTable.cc
    G3DetTableEntry.cc
    G3Division.cc
    G3EleTable.cc
    G3MatTable.cc
    G3MatTableEntry.cc
    G3MedTable.cc
    G3MedTableEntry.cc
    G3NegVolPars.cc
    G3PartTable.cc
    G3Pos.cc
    G3RotTable.cc
    G3RotTableEntry.cc
    G3VolTable.cc
    G3VolTableEntry.cc
    G3toG4BuildTree.cc
    G3toG4MANY.cc
    G3toG4MakeSolid.cc
    G3toG4RotationMatrix.cc
    G4BuildGeom.cc
    G4ggclos.cc
    G4gsatt.cc
    G4gsbool.cc
    G4gsdet.cc
    G4gsdeta.cc
    G4gsdetd.cc
    G4gsdeth.cc
    G4gsdetu.cc
    G4gsdetv.cc
    G4gsdk.cc
    G4gsdvn.cc
    G4gsdvn2.cc
    G4gsdvt.cc
    G4gsdvt2.cc
    G4gsdvx.cc
    G4gsmate.cc
    G4gsmixt.cc
    G4gspart.cc
    G4gspos.cc
    G4gsposp.cc
    G4gsrotm.cc
    G4gstmed.cc
    G4gstpar.cc
    G4gsvolu.cc
    clparse.cc)

geant4_module_link_libraries(G3toG4
  PUBLIC
    G4detector
    G4geometrymng
    G4partman
    G4materials
    G4globman
    G4hepgeometry
  PRIVATE
    G4decay
    G4procman
    G4csg
    G4specsolids
    G4magneticfield
    G4volumes
    G4geomBoolean
    G4graphics_reps)
