# - G4phys_builders module build definition

# Define the Geant4 Module.
geant4_add_module(G4phys_builders
  PUBLIC_HEADERS
    G4AntiBarionBuilder.hh
    G4BertiniKaonBuilder.hh
    G4BertiniNeutronBuilder.hh
    G4BertiniPiKBuilder.hh
    G4BertiniPionBuilder.hh
    G4BertiniProtonBuilder.hh
    G4BinaryNeutronBuilder.hh
    G4BinaryPiKBuilder.hh
    G4BinaryPionBuilder.hh
    G4BinaryProtonBuilder.hh
    G4BuilderType.hh
    G4FTFBinaryKaonBuilder.hh
    G4FTFBinaryNeutronBuilder.hh
    G4FTFBinaryPiKBuilder.hh
    G4FTFBinaryPionBuilder.hh
    G4FTFBinaryProtonBuilder.hh
    G4FTFBuilder.hh
    G4FTFPAntiBarionBuilder.hh
    G4FTFPKaonBuilder.hh
    G4FTFPNeutronBuilder.hh
    G4FTFPPiKBuilder.hh
    G4FTFPPionBuilder.hh
    G4FTFPProtonBuilder.hh
    G4HadronicBuilder.hh
    G4HyperonBuilder.hh
    G4HyperonFTFPBuilder.hh
    G4HyperonQGSPBuilder.hh
    G4INCLXXNeutronBuilder.hh
    G4INCLXXPionBuilder.hh
    G4INCLXXProtonBuilder.hh
    G4KaonBuilder.hh
    G4NeutronBuilder.hh
    G4NeutronCrossSectionXS.hh
    G4NeutronHPBuilder.hh
    G4NeutronLENDBuilder.hh
    G4PiKBuilder.hh
    G4PionBuilder.hh
    G4PrecoNeutronBuilder.hh
    G4PrecoProtonBuilder.hh
    G4ProtonBuilder.hh
    G4QGSBinaryKaonBuilder.hh
    G4QGSBinaryNeutronBuilder.hh
    G4QGSBinaryPiKBuilder.hh
    G4QGSBinaryPionBuilder.hh
    G4QGSBinaryProtonBuilder.hh
    G4QGSBuilder.hh
    G4QGSPAntiBarionBuilder.hh
    G4QGSPKaonBuilder.hh
    G4QGSPLundStrFragmProtonBuilder.hh
    G4QGSPNeutronBuilder.hh
    G4QGSPPiKBuilder.hh
    G4QGSPPionBuilder.hh
    G4QGSPProtonBuilder.hh
    G4VAntiBarionBuilder.hh
    G4VHadronModelBuilder.hh
    G4VHyperonBuilder.hh
    G4VKaonBuilder.hh
    G4VNeutronBuilder.hh
    G4VPiKBuilder.hh
    G4VPionBuilder.hh
    G4VProtonBuilder.hh
    G4AlphaBuilder.hh
    G4AlphaPHPBuilder.hh
    G4BinaryAlphaBuilder.hh
    G4BinaryDeuteronBuilder.hh
    G4BinaryHe3Builder.hh
    G4BinaryTritonBuilder.hh
    G4DeuteronBuilder.hh
    G4DeuteronPHPBuilder.hh
    G4He3Builder.hh
    G4He3PHPBuilder.hh
    G4NeutronPHPBuilder.hh
    G4ProtonPHPBuilder.hh
    G4TritonBuilder.hh
    G4TritonPHPBuilder.hh
    G4VAlphaBuilder.hh
    G4VDeuteronBuilder.hh
    G4VHe3Builder.hh
    G4VTritonBuilder.hh
  SOURCES
    G4AntiBarionBuilder.cc
    G4BertiniKaonBuilder.cc
    G4BertiniNeutronBuilder.cc
    G4BertiniPiKBuilder.cc
    G4BertiniPionBuilder.cc
    G4BertiniProtonBuilder.cc
    G4BinaryNeutronBuilder.cc
    G4BinaryPiKBuilder.cc
    G4BinaryPionBuilder.cc
    G4BinaryProtonBuilder.cc
    G4FTFBinaryKaonBuilder.cc
    G4FTFBinaryNeutronBuilder.cc
    G4FTFBinaryPiKBuilder.cc
    G4FTFBinaryPionBuilder.cc
    G4FTFBinaryProtonBuilder.cc
    G4FTFBuilder.cc
    G4FTFPAntiBarionBuilder.cc
    G4FTFPKaonBuilder.cc
    G4FTFPNeutronBuilder.cc
    G4FTFPPiKBuilder.cc
    G4FTFPPionBuilder.cc
    G4FTFPProtonBuilder.cc
    G4HadronicBuilder.cc
    G4HyperonBuilder.cc
    G4HyperonFTFPBuilder.cc
    G4HyperonQGSPBuilder.cc
    G4INCLXXNeutronBuilder.cc
    G4INCLXXPionBuilder.cc
    G4INCLXXProtonBuilder.cc
    G4KaonBuilder.cc
    G4NeutronBuilder.cc
    G4NeutronCrossSectionXS.cc
    G4NeutronLENDBuilder.cc
    G4PiKBuilder.cc
    G4PionBuilder.cc
    G4PrecoNeutronBuilder.cc
    G4PrecoProtonBuilder.cc
    G4ProtonBuilder.cc
    G4QGSBinaryKaonBuilder.cc
    G4QGSBinaryNeutronBuilder.cc
    G4QGSBinaryPiKBuilder.cc
    G4QGSBinaryPionBuilder.cc
    G4QGSBinaryProtonBuilder.cc
    G4QGSBuilder.cc
    G4QGSPAntiBarionBuilder.cc
    G4QGSPKaonBuilder.cc
    G4QGSPLundStrFragmProtonBuilder.cc
    G4QGSPNeutronBuilder.cc
    G4QGSPPiKBuilder.cc
    G4QGSPPionBuilder.cc
    G4QGSPProtonBuilder.cc
    G4VHadronModelBuilder.cc
    G4AlphaBuilder.cc
    G4AlphaPHPBuilder.cc
    G4BinaryAlphaBuilder.cc
    G4BinaryDeuteronBuilder.cc
    G4BinaryHe3Builder.cc
    G4BinaryTritonBuilder.cc
    G4DeuteronBuilder.cc
    G4DeuteronPHPBuilder.cc
    G4He3Builder.cc
    G4He3PHPBuilder.cc
    G4NeutronPHPBuilder.cc
    G4ProtonPHPBuilder.cc
    G4TritonBuilder.cc
    G4TritonPHPBuilder.cc)

geant4_module_link_libraries(G4phys_builders
  PUBLIC
    G4globman
    G4had_lend
    G4had_par_hp
    G4had_preequ_exciton
    G4had_string_diff
    G4had_string_frag
    G4had_theo_max
    G4hadronic_bert_cascade
    G4hadronic_binary
    G4hadronic_deex_handler
    G4hadronic_inclxx_interface
    G4hadronic_mgt
    G4hadronic_proc
    G4hadronic_qgstring
    G4hadronic_xsect
    G4run
  PRIVATE
    G4baryons
    G4hadronic_coherent_elastic
    G4hadronic_util
    G4partman
    G4phys_ctor_factory
    G4physlist_util
    G4procman)
