# - G4hadronic_binary module build definition

# Define the Geant4 Module.
geant4_add_module(G4hadronic_binary
  PUBLIC_HEADERS
    G4Absorber.hh
    G4AntiProtonField.hh
    G4BCLateParticle.hh
    G4BinaryCascade.hh
    G4BinaryLightIonReaction.hh
    G4FieldPropagation.hh
    G4GeneratorPrecompoundInterface.hh
    G4KM_DummyField.hh
    G4KM_NucleonEqRhs.hh
    G4KM_OpticalEqRhs.hh
    G4KaonMinusField.hh
    G4KaonPlusField.hh
    G4KaonZeroField.hh
    G4NeutronField.hh
    G4PionMinusField.hh
    G4PionPlusField.hh
    G4PionZeroField.hh
    G4ProtonField.hh
    G4RKFieldIntegrator.hh
    G4RKPropagation.hh
    G4SigmaMinusField.hh
    G4SigmaPlusField.hh
    G4SigmaZeroField.hh
    G4VFieldPropagation.hh
    G4VKM_NuclearDensity.hh
    G4VNuclearField.hh
  SOURCES
    G4Absorber.cc
    G4AntiProtonField.cc
    G4BinaryCascade.cc
    G4BinaryLightIonReaction.cc
    G4FieldPropagation.cc
    G4GeneratorPrecompoundInterface.cc
    G4KM_NucleonEqRhs.cc
    G4KM_OpticalEqRhs.cc
    G4KaonMinusField.cc
    G4KaonPlusField.cc
    G4KaonZeroField.cc
    G4NeutronField.cc
    G4PionMinusField.cc
    G4PionPlusField.cc
    G4PionZeroField.cc
    G4ProtonField.cc
    G4RKFieldIntegrator.cc
    G4RKPropagation.cc
    G4SigmaMinusField.cc
    G4SigmaPlusField.cc
    G4SigmaZeroField.cc
    G4VFieldPropagation.cc
    G4VNuclearField.cc)

geant4_module_link_libraries(G4hadronic_binary
  PUBLIC
    G4globman
    G4had_im_r_matrix
    G4had_preequ_exciton
    G4hadronic_deex_handler
    G4hadronic_mgt
    G4hadronic_util
    G4hepgeometry
    G4magneticfield
  PRIVATE
    G4baryons
    G4hadronic_deex_fermi_breakup
    G4heprandom
    G4ions
    G4mesons
    G4partman
    G4shortlived
    G4track)
