# - G4hadronic_util module build definition

# Define the Geant4 Module.
geant4_add_module(G4hadronic_util
  PUBLIC_HEADERS
    G4Bessel.hh
    G4Clebsch.hh
    G4DecayKineticTracks.hh
    G4DecayStrongResonances.hh
    G4Delete.hh
    G4DynamicParticleVector.hh
    G4ExcitedString.hh
    G4ExcitedStringVector.hh
    G4Fancy3DNucleus.hh
    G4Fancy3DNucleusHelper.hh
    G4FermiMomentum.hh
    G4Fragment.hh
    G4FragmentVector.hh
    G4GeneralPhaseSpaceDecay.hh
    G4HadDataHandler.hh
    G4HadDecayGenerator.hh
    G4HadFinalState.hh
    G4HadParticleCodes.hh
    G4HadPhaseSpaceGenbod.hh
    G4HadPhaseSpaceKopylov.hh
    G4HadPhaseSpaceNBodyAsai.hh
    G4HadProjectile.hh
    G4HadronicDeveloperParameters.hh
    G4HadronicException.hh
    G4HadronicParameters.hh
    G4HadronicParametersMessenger.hh
    G4HadSecondary.hh
    G4HadTmpUtil.hh
    G4IsotopeList.hh
    G4KineticTrack.hh
    G4KineticTrackVector.hh
    G4LegendrePolynomial.hh
    G4NuclearFermiDensity.hh
    G4NuclearPolarization.hh
    G4NuclearPolarizationStore.hh
    G4NuclearRadii.hh
    G4NuclearShellModelDensity.hh
    G4Nucleon.hh
    G4Nucleus.hh
    G4Pair.hh
    G4Parton.hh
    G4PartonVector.hh
    G4ping.hh
    G4PolynomialPDF.hh
    G4ReactionProduct.hh
    G4ReactionProductVector.hh
    G4SampleResonance.hh
    G4StableIsotopes.hh
    G4V3DNucleus.hh
    G4VHadDecayAlgorithm.hh
    G4VHadPhaseSpaceAlgorithm.hh
    G4VKineticNucleon.hh
    G4VNuclearDensity.hh
    G4WilsonRadius.hh
  SOURCES
    G4Bessel.cc
    G4Clebsch.cc
    G4DecayKineticTracks.cc
    G4DecayStrongResonances.cc
    G4ExcitedString.cc
    G4Fancy3DNucleus.cc
    G4FermiMomentum.cc
    G4Fragment.cc
    G4GeneralPhaseSpaceDecay.cc
    G4HadDataHandler.cc
    G4HadDecayGenerator.cc
    G4HadFinalState.cc
    G4HadPhaseSpaceGenbod.cc
    G4HadPhaseSpaceKopylov.cc
    G4HadPhaseSpaceNBodyAsai.cc
    G4HadProjectile.cc
    G4HadronicDeveloperParameters.cc
    G4HadronicException.cc
    G4HadronicParameters.cc
    G4HadronicParametersMessenger.cc
    G4HadSecondary.cc
    G4HadTmpUtil.cc
    G4KineticTrack.cc
    G4KineticTrackVector.cc
    G4LegendrePolynomial.cc
    G4NuclearFermiDensity.cc
    G4NuclearPolarization.cc
    G4NuclearPolarizationStore.cc
    G4NuclearRadii.cc
    G4NuclearShellModelDensity.cc
    G4Nucleon.cc
    G4Nucleus.cc
    G4Parton.cc
    G4PolynomialPDF.cc
    G4ReactionProduct.cc
    G4SampleResonance.cc
    G4StableIsotopes.cc
    G4V3DNucleus.cc
    G4VHadDecayAlgorithm.cc
    G4VHadPhaseSpaceAlgorithm.cc
    G4VKineticNucleon.cc
    G4VNuclearDensity.cc
    G4WilsonRadius.cc)

geant4_module_link_libraries(G4hadronic_util
  PUBLIC
    G4baryons
    G4globman
    G4hepgeometry
    G4heprandom
    G4intercoms
    G4materials
    G4partman
    G4procman
  PRIVATE
    G4hepnumerics
    G4mesons
    G4track)
